#!/bin/bash
source "$AGENT_PATH/_common.sh"

# NUKE SCRIPT
# This is run after the uninstall.sh script to delete all data.
# dropshell handles the configuration files, so we just need to remove
# any docker volumes and any custom local data folders.

check_required_env_vars "CONTAINER_NAME" "DATA_VOLUME" "CONFIG_VOLUME" "CONFIG_PATH"

if ! autonuke volume=$DATA_VOLUME volume=$CONFIG_VOLUME; then
    die "Failed to nuke"
fi

echo "Nuking of ${CONTAINER_NAME} complete."
