#!/bin/bash
source "$AGENT_PATH/_common.sh"

# STATUS SCRIPT
# The status script is OPTIONAL.
# It is used to return the status of the service (0 is healthy, 1 is unhealthy).

# This is an example of a status script that checks if the service is running.
check_required_env_vars "CONTAINER_NAME"

# check if the service is running
_is_container_running $CONTAINER_NAME || die "Service is not running - did not find container $CONTAINER_NAME."

echo "Service is healthy"
exit 0
