#!/bin/bash

# NUKE SCRIPT
# This is run after the uninstall.sh script to delete all data.
# dropshell handles the configuration files, so we just need to remove
# any docker volumes and any custom local data folders.

source "$(dirname "$0")/_common.sh"
check_required_env_vars "LOCAL_DATA_FOLDER" "CONTAINER_NAME"

# remove the local data folder
rm -rf $LOCAL_DATA_FOLDER || die "Failed to remove local data folder ${LOCAL_DATA_FOLDER}"

echo "Nuking of ${CONTAINER_NAME} complete."
