#!/bin/bash
source "$(dirname "$0")/_common.sh"


if ! _is_container_running "$CONTAINER_NAME"; then
    die "Container ${CONTAINER_NAME} is not running. Can't connect to it."
fi

echo "Connecting to ${CONTAINER_NAME}..."

docker exec -it ${CONTAINER_NAME} bash

echo "Disconnected from ${CONTAINER_NAME}"
